<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <LangVersion>preview</LangVersion>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="aeqw89.xml.ProjectFile" Version="1.0.3" />
      <PackageReference Include="Spectre.Console" Version="0.51.2-preview.0.1" />
      <PackageReference Include="SSH.NET" Version="2025.0.0" />
    </ItemGroup>

    <ItemGroup>
      <EmbeddedResource Update="Exceptions.resx">
        <Generator>ResXFileCodeGenerator</Generator>
        <LastGenOutput>Exceptions.Designer.cs</LastGenOutput>
      </EmbeddedResource>
    </ItemGroup>

    <ItemGroup>
      <Compile Update="Exceptions.Designer.cs">
        <DesignTime>True</DesignTime>
        <AutoGen>True</AutoGen>
        <DependentUpon>Exceptions.resx</DependentUpon>
      </Compile>
    </ItemGroup>

</Project>
